Uses of Class
org.apache.juneau.marshall.serializer.SerializeException
Packages that use SerializeException
Package
Description
Juneau
@Marshalled types for the
HAL (Hypertext Application Language)
hypermedia format, also covered by
draft-kelly-json-hal-08.Juneau
@Marshalled types for the
JSON:API v1.1 wire format.Juneau
@Marshalled types for
JSON Patch (RFC 6902).JSON Schema Data Transfer Objects
Configuration Support
Serializer Examples
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
Collections classes.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
HTTP Part Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
Convenience marshallers pairing RDF serializers and parsers into single classes with fluent to/from methods.
JSON Marshalling Support.
JSON5 Marshalling Support.
JSONL (JSON Lines) marshalling support.
JSON-Schema Marshalling Support
Markdown serializer and parser support for Apache Juneau.
Marshallers
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.Swap API
TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
REST Server API
REST Response Converters
-
Uses of SerializeException in org.apache.juneau.bean.hal
Methods in org.apache.juneau.bean.hal that throw SerializeExceptionModifier and TypeMethodDescriptionHalLinkOrArraySwap.swap(MarshallingSession session, Object o) HalResourceOrArraySwap.swap(MarshallingSession session, Object o) -
Uses of SerializeException in org.apache.juneau.bean.jsonapi
Methods in org.apache.juneau.bean.jsonapi that throw SerializeExceptionModifier and TypeMethodDescriptionJsonApiLinkOrStringSwap.swap(MarshallingSession session, Object o) -
Uses of SerializeException in org.apache.juneau.bean.jsonpatch
Methods in org.apache.juneau.bean.jsonpatch that throw SerializeExceptionModifier and TypeMethodDescriptionstatic StringSerializes a POJO to aString using theJsonPatchMarshaller.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJsonPatchMarshaller.DEFAULTmarshaller. -
Uses of SerializeException in org.apache.juneau.bean.jsonschema
Methods in org.apache.juneau.bean.jsonschema that throw SerializeExceptionModifier and TypeMethodDescriptionJsonSchema.BooleanOrSchemaArraySwap.swap(MarshallingSession session, Object o) JsonSchema.BooleanOrSchemaSwap.swap(MarshallingSession session, Object o) JsonSchema.JsonSchemaOrSchemaArraySwap.swap(MarshallingSession session, Object o) JsonSchema.JsonTypeOrJsonTypeArraySwap.swap(MarshallingSession session, Object o) -
Uses of SerializeException in org.apache.juneau.config
Methods in org.apache.juneau.config that throw SerializeExceptionModifier and TypeMethodDescriptionLoads the contents of the specified map of maps into this config.Adds or replaces an entry with the specified key with a POJO serialized to a string using the registered serializer.Config.set(String key, Object value, Serializer serializer) Same asConfig.set(String, Object)but allows you to specify the serializer to use to serialize the value.Config.set(String key, Object value, Serializer serializer, String modifiers, String comment, List<String> preLines) Same asConfig.set(String, Object)but allows you to specify all aspects of a value.EntryBuilder.set()Adds or updates the entry using the value specified viaEntryBuilder.value(Object).Adds or updates the entry using the specified value.Creates the specified section if it doesn't exist. -
Uses of SerializeException in org.apache.juneau.examples.serializer
Methods in org.apache.juneau.examples.serializer that throw SerializeExceptionModifier and TypeMethodDescriptionvoidImageSerializer.doWrite(SerializerSession session, SerializerPipe pipe, Object o) Serializes a POJO to the specified pipe. -
Uses of SerializeException in org.apache.juneau.marshall.bson
Methods in org.apache.juneau.marshall.bson that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidBsonSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.cbor
Methods in org.apache.juneau.marshall.cbor that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidCborSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.collections
Methods in org.apache.juneau.marshall.collections that throw SerializeExceptionModifier and TypeMethodDescriptionConvenience method for serializing this JsonList to the specified Writer using theJson.DEFAULTmarshaller.Convenience method for serializing this map to the specifiedWriter using theJson.DEFAULTmarshaller. -
Uses of SerializeException in org.apache.juneau.marshall.csv
Methods in org.apache.juneau.marshall.csv that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidCsvSerializerSession.doWrite(SerializerPipe pipe, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.hjson
Methods in org.apache.juneau.marshall.hjson that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidHjsonSerializerSession.doWrite(SerializerPipe out, Object o) protected HjsonWriterHjsonSerializerSession.writeAnything(HjsonWriter out, Object o, ClassMeta<?> eType, String attrName, BeanPropertyMeta pMeta) -
Uses of SerializeException in org.apache.juneau.marshall.hocon
Methods in org.apache.juneau.marshall.hocon that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidHoconSerializerSession.doWrite(SerializerPipe out, Object o) protected HoconWriterHoconSerializerSession.writeAnything(HoconWriter hw, Object o, ClassMeta<?> eType, String attrName, BeanPropertyMeta pMeta) -
Uses of SerializeException in org.apache.juneau.marshall.html
Methods in org.apache.juneau.marshall.html that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidHtmlDocSerializerSession.doWrite(SerializerPipe out, Object o) protected voidHtmlSchemaDocSerializerSession.doWrite(SerializerPipe out, Object o) protected voidHtmlSchemaSerializerSession.doWrite(SerializerPipe out, Object o) protected voidHtmlSerializerSession.doWrite(SerializerPipe out, Object o) protected voidHtmlStrippedDocSerializerSession.doWrite(SerializerPipe out, Object o) protected XmlSerializerSession.ContentResultHtmlSerializerSession.writeAnything(XmlWriter<?> out, Object o, ClassMeta<?> eType, String keyName, String elementName, Namespace elementNamespace, boolean addNamespaceUris, XmlFormat format, boolean isMixed, boolean preserveWhitespace, BeanPropertyMeta pMeta) protected XmlSerializerSession.ContentResultHtmlSerializerSession.writeAnything(XmlWriter<?> out, Object o, ClassMeta<?> eType, String name, BeanPropertyMeta pMeta, int xIndent, boolean isRoot, boolean nlIfElement) Serialize the specified object to the specified writer. -
Uses of SerializeException in org.apache.juneau.marshall.httppart
Methods in org.apache.juneau.marshall.httppart that throw SerializeExceptionModifier and TypeMethodDescriptionBaseHttpPartSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.HttpPartSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable. -
Uses of SerializeException in org.apache.juneau.marshall.ini
Methods in org.apache.juneau.marshall.ini that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidIniSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.jcs
Methods in org.apache.juneau.marshall.jcs that throw SerializeExceptionModifier and TypeMethodDescriptionprotected SerializerWriter<?>JcsSerializerSession.writeBeanMap(JsonWriter<?> out, BeanMap<?> m, String typeName) protected SerializerWriter<?>JcsSerializerSession.writeMap(JsonWriter<?> out, Map m, ClassMeta<?> type) -
Uses of SerializeException in org.apache.juneau.marshall.jena
Methods in org.apache.juneau.marshall.jena that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidRdfSerializerSession.doWrite(SerializerPipe out, Object o) protected voidRdfStreamSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.jena.marshaller
Methods in org.apache.juneau.marshall.jena.marshaller that throw SerializeExceptionModifier and TypeMethodDescriptionstatic StringSerializes a POJO to aString using theJsonLd.DEFAULTmarshaller.static StringSerializes a POJO to aString using theN3.DEFAULTmarshaller.static StringSerializes a POJO to aString using theNQuads.DEFAULTmarshaller.static StringSerializes a POJO to aString using theNTriple.DEFAULTmarshaller.static StringSerializes a POJO to aString using theRdfJson.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []RdfProto.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []RdfThrift.DEFAULTmarshaller.static StringSerializes a POJO to aString using theRdfXml.DEFAULTmarshaller.static StringSerializes a POJO to aString using theRdfXmlAbbrev.DEFAULTmarshaller.static StringSerializes a POJO to aString using theTriG.DEFAULTmarshaller.static StringSerializes a POJO to aString using theTriX.DEFAULTmarshaller.static StringSerializes a POJO to aString using theTurtle.DEFAULTmarshaller. -
Uses of SerializeException in org.apache.juneau.marshall.json
Methods in org.apache.juneau.marshall.json that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidJsonSchemaSerializerSession.doWrite(SerializerPipe out, Object o) protected voidJsonSerializerSession.doWrite(SerializerPipe out, Object o) protected JsonWriter<?>JsonSerializerSession.writeAnything(JsonWriter<?> out, Object o, ClassMeta<?> eType, String attrName, BeanPropertyMeta pMeta) Workhorse method.protected SerializerWriter<?>JsonSerializerSession.writeBeanMap(JsonWriter<?> out, BeanMap<?> m, String typeName) protected SerializerWriter<?>JsonSerializerSession.writeMap(JsonWriter<?> out, Map m, ClassMeta<?> type) -
Uses of SerializeException in org.apache.juneau.marshall.json5
Methods in org.apache.juneau.marshall.json5 that throw SerializeExceptionModifier and TypeMethodDescriptionConvenience method for serializing this list to the specified Writer using theJson5.DEFAULTmarshaller.Convenience method for serializing this map to the specifiedWriter using theJson5.DEFAULTmarshaller. -
Uses of SerializeException in org.apache.juneau.marshall.jsonl
Methods in org.apache.juneau.marshall.jsonl that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidJsonlSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.jsonschema
Methods in org.apache.juneau.marshall.jsonschema that throw SerializeExceptionModifier and TypeMethodDescriptionReturns the JSON-schema for the specified object.Returns the JSON-schema for the specified type.Returns the JSON-schema for the specified type. -
Uses of SerializeException in org.apache.juneau.marshall.markdown
Methods in org.apache.juneau.marshall.markdown that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidMarkdownDocSerializerSession.doWrite(SerializerPipe pipe, Object o) protected voidMarkdownSerializerSession.doWrite(SerializerPipe pipe, Object o) protected String[]MarkdownSerializerSession.getTableHeaders(Collection<?> c) Determines if a collection can be rendered as a multi-column table.protected voidMarkdownSerializerSession.writeAnything(MarkdownWriter w, Object o, ClassMeta<?> eType, BeanPropertyMeta pMeta) Main serialization dispatch method.protected voidMarkdownSerializerSession.writeBeanMap(MarkdownWriter w, BeanMap<?> bm, ClassMeta<?> eType, ClassMeta<?> aType) Serializes a bean as a 2-column key/value Markdown table.protected voidMarkdownDocSerializerSession.writeBeanWithHeadings(MarkdownWriter w, BeanMap<?> bm, int level) Serializes a bean in document mode, using headings to structure nested objects.protected voidMarkdownSerializerSession.writeCollection(MarkdownWriter w, Collection<?> c, ClassMeta<?> eType, ClassMeta<?> cm) Serializes a collection as either a multi-column table (uniform beans/maps) or a bulleted list.protected StringMarkdownSerializerSession.writeInlineValue(Object o) Serializes a value for placement in a Markdown table cell.protected voidMarkdownSerializerSession.writeMap(MarkdownWriter w, Map<?, ?> m, ClassMeta<?> cm) Serializes a Map as a 2-column key/value Markdown table. -
Uses of SerializeException in org.apache.juneau.marshall.marshaller
Methods in org.apache.juneau.marshall.marshaller that throw SerializeExceptionModifier and TypeMethodDescriptionstatic byte[]Serializes a Java object to BSON bytes.static ObjectSerializes a Java object to the specified BSON output.static byte[]Serializes a Java object to CBOR bytes.static ObjectSerializes a Java object to the specified CBOR output.static StringSerializes a Java object to a CSV string.static ObjectSerializes a Java object to the specified CSV output.static StringSerializes a Java object to an HJSON string.static ObjectSerializes a Java object to the specified HJSON output.static StringSerializes a Java object to a HOCON string.static ObjectSerializes a Java object to the specified HOCON output.static StringSerializes a Java object to an HTML string.static ObjectSerializes a Java object to the specified HTML output.static StringSerializes a Java object to an INI/properties string.static ObjectSerializes a Java object to the specified INI/properties output.static StringSerializes a Java object to a canonical JSON string (RFC 8785).static ObjectSerializes a Java object to the specified canonical JSON output.static StringSerializes a Java object to a JSON string.static ObjectSerializes a Java object to the specified JSON output.static StringSerializes a Java object to a JSON5 string.static ObjectSerializes a Java object to the specified JSON5 output.static StringSerializes a Java object to a JSON Lines string.static ObjectSerializes a Java object to the specified JSON Lines output.static StringSerializes a Java object to an inline Markdown string.static ObjectSerializes a Java object to the specified Markdown output.static StringMarshallUtils.markdownDoc(Object object) Serializes a Java object to a document-mode Markdown string (headings + tables).static ObjectMarshallUtils.markdownDoc(Object object, Object output) Serializes a Java object to the specified document-mode Markdown output.static byte[]Serializes a Java object to MessagePack bytes.static ObjectSerializes a Java object to the specified MessagePack output.static byte[]Serializes a POJO to ausing thebyte []Bson.DEFAULTmarshaller.static voidBson.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theBson.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []BsonBase64.DEFAULTmarshaller.static voidBsonBase64.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theBsonBase64.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []BsonSpacedHex.DEFAULTmarshaller.static voidBsonSpacedHex.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theBsonSpacedHex.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []Cbor.DEFAULTmarshaller.static voidCbor.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theCbor.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []CborBase64.DEFAULTmarshaller.static voidCborBase64.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theCborBase64.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []CborNative.DEFAULTmarshaller.static voidCborNative.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theCborNative.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []CborSpacedHex.DEFAULTmarshaller.static voidCborSpacedHex.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theCborSpacedHex.DEFAULTmarshaller.static StringSerializes a POJO to aString using theCsv.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theCsv.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHjson.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHjson.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHjsonC.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHjsonC.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHocon.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHocon.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHoconBraces.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHoconBraces.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHoconC.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHoconC.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHtml.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHtml.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHtmlSimpleSq.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHtmlSimpleSq.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHtmlSq.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHtmlSq.DEFAULTmarshaller.static StringSerializes a POJO to aString using theHtmlSqR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theHtmlSqR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theIni.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theIni.DEFAULTmarshaller.static StringSerializes a POJO to aString using theIniR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theIniR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJcs.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJcs.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJson.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJson.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJson5.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJson5.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJson5l.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJson5l.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJson5R.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJson5R.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJsonl.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJsonl.DEFAULTmarshaller.static StringSerializes a POJO to aString using theJsonR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theJsonR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theMarkdown.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theMarkdown.DEFAULTmarshaller.static StringSerializes a POJO to aString using theMarkdownDoc.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theMarkdownDoc.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []MsgPack.DEFAULTmarshaller.static voidMsgPack.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theMsgPack.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []MsgPackBase64.DEFAULTmarshaller.static voidMsgPackBase64.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theMsgPackBase64.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []MsgPackNative.DEFAULTmarshaller.static voidMsgPackNative.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theMsgPackNative.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []MsgPackSpacedHex.DEFAULTmarshaller.static voidMsgPackSpacedHex.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theMsgPackSpacedHex.DEFAULTmarshaller.static StringSerializes a POJO to aString using theOpenApi.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theOpenApi.DEFAULTmarshaller.static StringOpenApi.of(HttpPartSchema schema, Object object) Serializes a Java object to an OpenApi output using the specified part schema.static byte[]Serializes a POJO to ausing thebyte []Parquet.DEFAULTmarshaller.static voidParquet.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theParquet.DEFAULTmarshaller.static StringSerializes a POJO to aString using thePlainText.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing thePlainText.DEFAULTmarshaller.static byte[]Serializes a POJO to ausing thebyte []Protobuf.DEFAULTmarshaller.static voidProtobuf.of(Object object, OutputStream output) Serializes a POJO to the specifiedOutputStreamusing theProtobuf.DEFAULTmarshaller.static StringSerializes a POJO to aString using thePrototext.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing thePrototext.DEFAULTmarshaller.static StringSerializes a POJO to aString using thePrototextR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing thePrototextR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theSse.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theSse.DEFAULTmarshaller.static StringSerializes a POJO to aString using theToml.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theToml.DEFAULTmarshaller.static StringSerializes a POJO to aString using theTomlR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theTomlR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUon.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUon.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUonE.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUonE.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUonR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUonR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUrlEncoding.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUrlEncoding.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUrlEncodingExpanded.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUrlEncodingExpanded.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUrlEncodingPlain.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUrlEncodingPlain.DEFAULTmarshaller.static StringSerializes a POJO to aString using theUrlEncodingR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theUrlEncodingR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXml.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXml.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXmlNs.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXmlNs.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXmlNsSq.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXmlNsSq.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXmlNsSqR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXmlNsSqR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXmlSq.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXmlSq.DEFAULTmarshaller.static StringSerializes a POJO to aString using theXmlSqR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theXmlSqR.DEFAULTmarshaller.static StringSerializes a POJO to aString using theYaml.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theYaml.DEFAULTmarshaller.static StringSerializes a POJO to aString using theYamlR.DEFAULTmarshaller.static voidSerializes a POJO to the specifiedWriterusing theYamlR.DEFAULTmarshaller.static StringSerializes a Java object to an OpenAPI string.static ObjectSerializes a Java object to the specified OpenAPI output.static byte[]Serializes a Java object to Apache Parquet bytes.static ObjectSerializes a Java object to the specified Parquet output.static StringSerializes a Java object to a plain-text string.static ObjectSerializes a Java object to the specified plain-text output.static StringSerializes a Java object to a Protocol Buffers text string.static ObjectSerializes a Java object to the specified Protocol Buffers output.static StringSerializes a Java object to a TOML string.static ObjectSerializes a Java object to the specified TOML output.static StringSerializes a Java object to a UON string.static ObjectSerializes a Java object to the specified UON output.static StringMarshallUtils.urlEncoding(Object object) Serializes a Java object to a URL-encoding string.static ObjectMarshallUtils.urlEncoding(Object object, Object output) Serializes a Java object to the specified URL-encoding output.final StringSerializes a POJO directly to aString .final voidSerializes a POJO to the specified output stream or writer.final byte[]Serializes a POJO directly to a.byte []static StringSerializes a Java object to an XML string.static ObjectSerializes a Java object to the specified XML output.static StringSerializes a Java object to a YAML string.static ObjectSerializes a Java object to the specified YAML output. -
Uses of SerializeException in org.apache.juneau.marshall.msgpack
Methods in org.apache.juneau.marshall.msgpack that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidMsgPackSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.oapi
Methods in org.apache.juneau.marshall.oapi that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidOpenApiSerializerSession.doWrite(SerializerPipe out, Object o) OpenApiSerializerSession.write(HttpPartType partType, HttpPartSchema schema, Object value) -
Uses of SerializeException in org.apache.juneau.marshall.parquet
Methods in org.apache.juneau.marshall.parquet that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidParquetSerializerSession.doWrite(SerializerPipe pipe, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.plaintext
Methods in org.apache.juneau.marshall.plaintext that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidPlainTextSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.serializer
Methods in org.apache.juneau.marshall.serializer that return SerializeExceptionModifier and TypeMethodDescriptionstatic SerializeExceptionCreator method.SerializeException.getRootCause()Returns the highest-levelSerializeException in the stack trace.Sets the inner cause for this exception.SerializeException.setMessage(String message, Object... args) Methods in org.apache.juneau.marshall.serializer that throw SerializeExceptionModifier and TypeMethodDescriptionfinal booleanSerializerSession.canIgnoreValue(BeanPropertyMeta pMeta, String attrName, Object value) Per-bean-property variant ofSerializerSession.canIgnoreValue(ClassMeta, String, Object).final booleanSerializerSession.canIgnoreValue(ClassMeta<?> cm, String attrName, Object value) Returnstrue if the specified value should not be serialized.protected voidSerializer.doWrite(SerializerSession session, SerializerPipe pipe, Object o) Serializes a POJO to the specified pipe.protected voidSerializerSession.doWrite(SerializerPipe pipe, Object o) Serializes a POJO to the specified pipe.protected final ObjectSerializerSession.generalize(Object o, ClassMeta<?> type) Generalize the specified object if a POJO swap is associated with it.SerializerPipe.getWriter()Wraps the specified output object inside a writer.protected final voidSerializerSession.onBeanGetterException(BeanPropertyMeta p, Throwable t) Specialized warning when an exception is thrown while executing a bean getter.protected final ClassMeta<?>Same asMarshallingTraverseSession.push(String, Object, ClassMeta)but wrapsMarshallingRecursionExceptioninsideSerializeException.protected ObjectSerializerSession.swap(ObjectSwap swap, Object o) Invokes the specified swap on the specified object if the swap is not null.protected final ObjectSerializerSession.unwrapSupplier(Object o, int depth) Recursively unwraps nestedSupplierchains to their underlying value.final byte[]Convenience method for serializing an object to a.byte final byte[]Convenience method for serializing an object to a.byte Shortcut method for serializing objects directly to either aString ordepending on the serializer type.byte []final voidSerializes a POJO to the specified output stream or writer.Shortcut method for serializing objects directly to either aString ordepending on the serializer type.byte []final voidSerialize the specified object using the specified session.final StringConvenience method for serializing an object to aString .final StringConvenience method for serializing an object to aString .final StringOutputStreamSerializerSession.writeToString(Object o) final StringSerializer.writeToString(Object o) Convenience method for serializing an object to a String.SerializerSession.writeToString(Object o) Shortcut method for serializing an object to a String.final StringWriterSerializerSession.writeToString(Object o) -
Uses of SerializeException in org.apache.juneau.marshall.soap
Methods in org.apache.juneau.marshall.soap that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidSoapXmlSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.sse
Methods in org.apache.juneau.marshall.sse that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidSseSerializerSession.doWrite(SerializerPipe pipe, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.swap.spi
Methods in org.apache.juneau.marshall.swap.spi that throw SerializeExceptionModifier and TypeMethodDescriptionList<?>AutoListSwap.swap(MarshallingSession session, Object o) Map<?,?> AutoMapSwap.swap(MarshallingSession session, Object o) AutoNumberSwap.swap(MarshallingSession session, Object o) AutoObjectSwap.swap(MarshallingSession session, Object o) SurrogateSwap.swap(MarshallingSession session, T o) -
Uses of SerializeException in org.apache.juneau.marshall.toml
Methods in org.apache.juneau.marshall.toml that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidTomlSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.uon
Methods in org.apache.juneau.marshall.uon that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidUonSerializerSession.doWrite(SerializerPipe out, Object o) UonSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.UonSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) protected UonWriterUonSerializerSession.writeAnything(UonWriter out, Object o, ClassMeta<?> eType, String attrName, BeanPropertyMeta pMeta) Workhorse method. -
Uses of SerializeException in org.apache.juneau.marshall.urlencoding
Methods in org.apache.juneau.marshall.urlencoding that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidUrlEncodingSerializerSession.doWrite(SerializerPipe out, Object o) -
Uses of SerializeException in org.apache.juneau.marshall.xml
Methods in org.apache.juneau.marshall.xml that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidXmlDocSerializerSession.doWrite(SerializerPipe out, Object o) protected voidXmlSerializerSession.doWrite(SerializerPipe out, Object o) protected final voidXmlSerializerSession.findNsfMappings(Object o) Recursively searches for the XML namespaces on the specified POJO and adds them to the serializer context object.protected XmlSerializerSession.ContentResultXmlSerializerSession.writeAnything(XmlWriter<?> out, Object o, ClassMeta<?> eType, String keyName, String elementName, Namespace elementNamespace, boolean addNamespaceUris, XmlFormat format, boolean isMixedOrText, boolean preserveWhitespace, BeanPropertyMeta pMeta) Workhorse method. -
Uses of SerializeException in org.apache.juneau.marshall.yaml
Methods in org.apache.juneau.marshall.yaml that throw SerializeExceptionModifier and TypeMethodDescriptionprotected voidYamlSerializerSession.doWrite(SerializerPipe out, Object o) protected YamlWriterYamlSerializerSession.writeAnything(YamlWriter out, Object o, ClassMeta<?> eType, String attrName, BeanPropertyMeta pMeta, boolean asField) Workhorse method. -
Uses of SerializeException in org.apache.juneau.petstore.marshall
Methods in org.apache.juneau.petstore.marshall that throw SerializeExceptionModifier and TypeMethodDescriptionvoidPetPhotoSerializer.doWrite(SerializerSession session, SerializerPipe pipe, Object o) Serializes a POJO to the specified pipe. -
Uses of SerializeException in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that throw SerializeExceptionModifier and TypeMethodDescriptionSets a header on the request.RestResponse.setHeader(HttpPartSchema schema, String name, Object value) Sets a header on the request. -
Uses of SerializeException in org.apache.juneau.rest.server.converter
Methods in org.apache.juneau.rest.server.converter that throw SerializeExceptionModifier and TypeMethodDescriptionRestConverter.convert(RestRequest req, Object res) Performs post-call conversion on the specified response object.